Bug 445378 - openvpn fails on inactivity timeout
openvpn fails on inactivity timeout
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Höger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 11:41 EDT by Neal Becker
Modified: 2009-06-27 10:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-27 10:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-05-06 11:41:12 EDT
Description of problem:
> May  4 13:35:45 nbecker1 openvpn[12533]: Initialization Sequence Completed
> OK, it's up
> ...
> May  4 13:37:39 nbecker1 nm-openvpn[21349]: [nbecker] Inactivity timeout
> (--ping-restart), restarting
> May  4 13:37:39 nbecker1 nm-openvpn[21349]: SIGUSR1[soft,ping-restart]
> received, process restarting
> May  4 13:37:41 nbecker1 nm-openvpn[21349]: Re-using SSL/TLS context
> May  4 13:37:41 nbecker1 nm-openvpn[21349]: LZO compression initialized
> May  4 13:37:41 nbecker1 nm-openvpn[21349]: UDPv4 link local: [undef]
> May  4 13:37:41 nbecker1 nm-openvpn[21349]: UDPv4 link remote:
> 71.168.34.70:5002
> May  4 13:37:41 nbecker1 nm-openvpn[21349]: [nbecker] Peer Connection
> Initiated with 71.168.34.70:5002
> May  4 13:37:42 nbecker1 nm-openvpn[21349]: Preserving previous TUN/TAP
> instance: tun1
> May  4 13:37:42 nbecker1
> nm-openvpn[21349]: /usr/bin/nm-openvpn-service-openvpn-helper tun1 1500
> 1542 10.4.0.50 10.4.0.49 restart
> May  4 13:37:42 nbecker1 nm-openvpn[21349]: script failed: shell command
> exited with error status: 1
> May  4 13:37:42 nbecker1 nm-openvpn[21349]: Exiting


Note that I have manually setup/used openvpn for years, and it works fine when
setup manually (not using NM).

Version-Release number of selected component (if applicable):

openvpn-2.1-0.25.rc7.fc9.x86_64
NetworkManager-0.7.0-0.9.3.svn3623.fc9.x86_64
NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-openvpn-0.7.0-10.svn3627.fc9.x86_64
NetworkManager-openvpn-0.7.0-10.svn3627.fc9.i386
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christoph Höger 2008-05-14 03:44:45 EDT
Hi,

studpid question: Did you enter a password and forgot to check "remember for
this session"?

regards

Christoph
Comment 2 Bug Zapper 2008-05-14 06:43:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Neal Becker 2008-05-14 07:42:47 EDT
Using x509 cert, not password - if I understand your question.
Comment 4 Neal Becker 2008-05-15 09:06:44 EDT
FYI, this is reproducible.
Comment 5 Christoph Höger 2008-09-17 07:40:06 EDT
Does the latest nm-openvpn version (from updates-testing-newkey) fix that bug?

This should be NetworkManager-openvpn-0.7.0-15.svn4027.fc9.i386

Please note that eventually old connections won't work due to some options that changed during the development.
Comment 6 Dan Williams 2008-09-30 16:24:41 EDT
What was the openvpn config you used to use?  Did it have any of the --persist options enabled?
Comment 7 Bug Zapper 2009-06-09 20:38:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Christoph Höger 2009-06-27 10:32:15 EDT
closing - long time no comment. Feel free to reopen if neccessary.

Note You need to log in before you can comment on or make changes to this bug.